/*******************************************************************************
 * @author    Patricie Benešová
 * @version   1.00.000
 */
import java.util.ArrayList;
import java.util.Comparator;
import java.util.List;
import java.util.stream.Collectors;
public class Razeni
{
    private List<Integer> seznamCisel = new ArrayList<>();

    public Razeni() {
        seznamCisel.add(200);
         seznamCisel.add(600);
         seznamCisel.add(550);
         seznamCisel.add(800);
         seznamCisel.add(749);
         
    }

    /**
     * Getter pro získání seznamu čísel
     */
    public List<Integer> getSeznamCisel() {
        return seznamCisel;
    }
  
    public static void main(String[] args) {
        
         Razeni in = new Razeni();
         List<Integer> puvodniSeznam = in.getSeznamCisel();
         Comparator<Integer> comparator = (a,b)-> a.compareTo(b);
         List<Integer> serazenySeznam = puvodniSeznam.stream().sorted(comparator.reversed()).collect(Collectors.toList());
         
         serazenySeznam.forEach(n -> System.out.println(n));
    }
    

}
